summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-03-07 16:37:08 +0100
committerMichał Górny <mgorny@gentoo.org>2017-03-07 16:58:18 +0100
commitc89153c4c0afe9f7b8997e17e7f79a7c6bbe8232 (patch)
tree0a17c6f005aa5e1a7d6e16dd9b582e397616b0f1 /sys-devel/llvm
parentapp-admin/systemrescuecd-x86: Bump to 4.9.3, #611960 (diff)
downloadgentoo-c89153c4c0afe9f7b8997e17e7f79a7c6bbe8232.tar.gz
gentoo-c89153c4c0afe9f7b8997e17e7f79a7c6bbe8232.tar.bz2
gentoo-c89153c4c0afe9f7b8997e17e7f79a7c6bbe8232.zip
sys-devel/llvm: Remove USE=multitarget for 4+
The USE=multitarget is used only by three packages in Gentoo: - old versions of dev-lang/rust that do not support new LLVM versions, - old versions of dev-python/llvmlite that do not support new LLVM versions, - sys-devel/clang metapackage. Since it is only an irritating REQUIRED_USE backwards compatbility knob, and it is no longer needed for dependencies, remove it.
Diffstat (limited to 'sys-devel/llvm')
-rw-r--r--sys-devel/llvm/llvm-4.0.0_rc3.ebuild5
-rw-r--r--sys-devel/llvm/llvm-9999.ebuild5
2 files changed, 4 insertions, 6 deletions
diff --git a/sys-devel/llvm/llvm-4.0.0_rc3.ebuild b/sys-devel/llvm/llvm-4.0.0_rc3.ebuild
index 531baa47636..56a76a6aeb9 100644
--- a/sys-devel/llvm/llvm-4.0.0_rc3.ebuild
+++ b/sys-devel/llvm/llvm-4.0.0_rc3.ebuild
@@ -32,7 +32,7 @@ LICENSE="UoI-NCSA rc BSD public-domain
llvm_targets_ARM? ( LLVM-Grant )"
SLOT="$(get_major_version)"
KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="debug +doc gold libedit +libffi multitarget ncurses test
+IUSE="debug +doc gold libedit +libffi ncurses test
elibc_musl kernel_Darwin ${ALL_LLVM_TARGETS[*]}"
RDEPEND="
@@ -63,8 +63,7 @@ PDEPEND="app-vim/llvm-vim
gold? ( sys-devel/llvmgold )"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )
- multitarget? ( ${ALL_LLVM_TARGETS[*]} )"
+ || ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${P/_/}.src
diff --git a/sys-devel/llvm/llvm-9999.ebuild b/sys-devel/llvm/llvm-9999.ebuild
index 5e54cffe1bc..cdba7b1daf4 100644
--- a/sys-devel/llvm/llvm-9999.ebuild
+++ b/sys-devel/llvm/llvm-9999.ebuild
@@ -34,7 +34,7 @@ LICENSE="UoI-NCSA rc BSD public-domain
llvm_targets_ARM? ( LLVM-Grant )"
SLOT="5"
KEYWORDS=""
-IUSE="debug +doc gold libedit +libffi multitarget ncurses test
+IUSE="debug +doc gold libedit +libffi ncurses test
elibc_musl kernel_Darwin ${ALL_LLVM_TARGETS[*]}"
RDEPEND="
@@ -65,8 +65,7 @@ PDEPEND="app-vim/llvm-vim
gold? ( sys-devel/llvmgold )"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )
- multitarget? ( ${ALL_LLVM_TARGETS[*]} )"
+ || ( ${ALL_LLVM_TARGETS[*]} )"
# least intrusive of all
CMAKE_BUILD_TYPE=RelWithDebInfo